#!/usr/bin/env bash

set -o nounset
		
curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Updater/Updater%20Source%20Files/Intro.md" |
		
	zenity --text-info \
		--width=1000 \
		--height=700 \
		--title="Sovran_SystemsOS Updater"

	if [[ $? -eq 1 ]]; then
		
		exit 1

	else

	xterm -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "if ! ssh root@localhost 'flatpak update -y && cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'; then 
	zenity --info \
	--width=400 \
	--title="Sovran_SystemsOS Updater" \
	--text="Could Not Update Sovran_SystemsOS -- Exiting"
	exit 1
	fi"

		zenity --info \
			--ellipsize \
			--no-wrap \
			--width=400 \
			--title="Sovran_SystemsOS Updater" \
			--text="Yay Complete! Please Reboot When You Are Ready."
	fi

exit 0